Download it now!
Bug 121804 - docx import: no superscripts / subscripts in a textarea
Summary: docx import: no superscripts / subscripts in a textarea
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2018-11-29 15:26 UTC by Frederic Parrenin
Modified: 2019-01-16 14:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
.docx file to reproduce the problem (1.20 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-29 15:26 UTC, Frederic Parrenin
Details
Comparison LibreOffice 6.3 Master and MSO 2010 (230.02 KB, image/png)
2018-12-05 13:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Parrenin 2018-11-29 15:26:32 UTC
Created attachment 147148 [details]
.docx file to reproduce the problem

Steps to reproduce:
- open the attached .docx file in Word
- observed the subscripts in the legend: CH4, CO2,...
- now open the same file in Writer
=> the subscripts are gone.
Comment 1 Durgapriyanka 2018-11-29 19:21:00 UTC
I can confirm that the bug is present in

Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 2 Xisco Faulí 2018-12-05 13:35:24 UTC
Created attachment 147300 [details]
Comparison LibreOffice 6.3 Master and MSO 2010
Comment 4 Commit Notification 2018-12-18 08:09:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dafbc86037d63e938967c0f501bdfe3ae19fa992%5E%21

tdf#121804 DOCX import: handle sub/superscript inside group shapes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-12-19 09:58:16 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 78073ecfdc50e78e3ce094c1259779b7c3b88bc4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, Thanks for fixing this!!

Cherry-picked to
6-2: https://gerrit.libreoffice.org/#/c/65413/
6-1: https://gerrit.libreoffice.org/#/c/65414/
Comment 6 Commit Notification 2018-12-19 14:33:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/248ecee4ea28a3873cdd0ef0c1ef501537be961d%5E%21

tdf#121804 DOCX import: handle sub/superscript inside group shapes

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-16 14:27:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/ba7435e5914a713730265c3378ce616de543667f%5E%21

tdf#121804 DOCX import: handle sub/superscript inside group shapes

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.